﻿@{
    ViewBag.Title = "Home Page";
}

@section scripts {
    <script src="~/Scripts/App/launchControl.service.js"></script>
    <script src="~/Scripts/App/Index/index.controller.js"></script>
    <script src="~/Scripts/App/Index/modalConfirm.js"></script>
}

<div ng-controller="IndexController as indexCtrl" ng-class="{'launch-filter': indexCtrl.hasLaunched}" >
    <div class="jumbotron" >
        <h1>Welcome, President of Gitland</h1>
        <p class="lead">
            Launch control status: <span ng-class="{red: !indexCtrl.isApiOnline}" ng-bind="indexCtrl.apiStatus"></span>
        </p>
        <p>
            <button class="btn btn-primary btn-lg"
                    ng-click="indexCtrl.launch()"
                    ng-disabled="!indexCtrl.canLaunch()"
                    ng-bind="indexCtrl.isLaunching ? 'Launching...' : 'Launch'">
                Launch
            </button>
        </p>
        <div ng-cloak class="alert alert-success" role="alert" ng-if="indexCtrl.successMessage !== ''">
            {{indexCtrl.successMessage}}
        </div>
        <div ng-cloak class="alert alert-danger" role="alert" ng-if="indexCtrl.errorMessage !== ''">
            {{indexCtrl.errorMessage}}
        </div>
        <p ng-cloak ng-if="indexCtrl.coolDownActive">Cool down: <strong>{{indexCtrl.coolDownTimeString}}</strong></p>
    </div>

    <div class="row">
        <div class="col-md-4">
            <h2>Peons R Us</h2>
            <p>
                Running low on peons to thrash? Come on down to Peons R Us! We have the most subservient underlings you'll ever see. Guaranteed gormless or your money back.
            </p>
        </div>
        <div class="col-md-4">
            <h2>Assassin For Hire</h2>
            <p>Efficient and confidential. Definitely not a sting operation. </p>
        </div>
        <div class="col-md-4">
            <h2>PRESIDENT POWER</h2>
            <p>The all new energy drink formulated by presidents, for presidents! When you need that presidential pick me up, think PRESIDENT POWER!!!</p>
        </div>
    </div>
</div>